Table of Contents

## Name

XvPutStill - write a single frame of video to a drawable

## Syntax

#include <X11/extensions/Xvlib.h>

XvPutStill(dpy, port, d, gc, vx, vy, vw, vh, dx, dy, dw, dh)

Display *dpy;
XvPortID port;
Drawable d;
GC gc;
int vx, vy, dx, dy;
unsigned int vw, vh;
unsigned int dw, dh;

## Arguments

dpy
  Specifies the display screen on which the Xv Server is to accept requests from Xv clients. If the display option is not specified, Xv uses the display screen specified by your DISPLAY environment variable. The display option has the format hostname:number. Using two colons (::) instead of one (:) indicates that DECnet is to be used for transport.
port
  Defines the port from which to get the still.
d
  Defines the drawable into which the still is to be written. Pixmaps are currently not supported.
gc
  Defines the graphical context. GC components are: subwindow-mode, clip-x-origin, clip-y-origin, and clip-mask.
vx,vy,vw,vh
  Define the location and size of the video region to be written. vx and vy define the upper-left pixel of the region. vw and vh define the width and height, in pixels, of the region.
dx,dy,dw,dh
  Define the location and size of the destination region into which the still image is written. dx and dy define the upper-left corner of the region. dw and dh define the width and height, in pixels, of the region.

## Description

Video data is clipped to the bounds of the video encoding, scaled to the requested drawable region size (or the closest size supported) and clipped to the bounds of the drawable.

If the port is grabbed by another client, this request is ignored, and an XvVideoNotify event with detail XvBusy is generated for the drawable. If the port is not receiving a valid video signal a VideoNotify event with detail XvHardError is generated for the drawable.

## Returned Values

[Success]
  Returned if XvPutStill(3X) completed successfully.
[XvBadExtension]
  Returned if the Xv extension is unavailable.
[XvBadAlloc]
  Returned if XvGetStill(3X) failed to allocate memory to process the request.

## Diagnostics

[XvBadPort]
  Generated if the requested port does not exist.
[BadDrawable]
  Generated if the requested drawable does not exist.
[BadGC]
  Generated if the requested graphics context does not exist.
[BadAlloc]
  Generated if there were insufficient resources to process the request.

## See Also

Table of Contents

- Name
- Syntax
- Arguments
- Description
- Returned Values
- Diagnostics
- See Also